Bug 494019 - exceptions.AttributeError when trying to register Fedora 10 client with rhnreg_ks to Spacewalk server
exceptions.AttributeError when trying to register Fedora 10 client with rhnre...
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
0.5
i386 Linux
low Severity low
: ---
: ---
Assigned To: Pradeep Kilambi
Red Hat Satellite QA List
:
Depends On:
Blocks: space06
  Show dependency treegraph
 
Reported: 2009-04-03 14:07 EDT by Andrew Rechenberg
Modified: 2009-12-01 16:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 08:05:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Rechenberg 2009-04-03 14:07:18 EDT
Description of problem:

I receive an exceptions.AttributeError when trying to register a fully up-to-date Fedora 10 system (as of April 3, 2009) to a new Spacewalk server instance.  Spacewalk is also running on a fully updated Fedora 10 system.


Version-Release number of selected component (if applicable):
yum-rhn-plugin-0.5.4-1.fc10.noarch
rhn-setup-0.4.24-1.fc10.noarch
rhnlib-2.5.10-1.fc10.noarch
rhn-check-0.4.24-1.fc10.noarch
rhn-client-tools-0.4.24-1.fc10.noarch
rhnsd-4.5.9-1.fc10.i386


How reproducible:
Every time

Steps to Reproduce:
1. Install and configure Spacewalk server on Fedora 10 system as per docs on https://fedorahosted.org/spacewalk/wiki/HowToInstall and https://fedorahosted.org/spacewalk/wiki/UploadFedoraContent

2. Install a Fedora 10 workstation and yum update to current

3. Install Spacewalk/RHN clients on workstation per docs on 
  https://fedorahosted.org/spacewalk/wiki/RegisteringClients

4. Register system via docs at https://fedorahosted.org/spacewalk/wiki/RegisteringClients


Actual results:
System is registered in the Spacewalk server however receive the following in /var/log/up2date and no hardware information shows up in Spacewalk:

[Fri Apr  3 13:59:31 2009] up2date 
Traceback (most recent call last):
  File "/usr/sbin/rhnreg_ks", line 266, in <module>
    cli.run()
  File "/usr/share/rhn/up2date_client/rhncli.py", line 65, in run
    sys.exit(self.main() or 0)
  File "/usr/sbin/rhnreg_ks", line 157, in main
    rhnreg.sendHardware(systemId, hardwareList)
  File "/usr/share/rhn/up2date_client/rhnreg.py", line 645, in sendHardware
    s.registration.add_hw_profile(systemId, hardwareList)
  File "/usr/share/rhn/up2date_client/rhnserver.py", line 50, in __call__
    return rpcServer.doCall(method, *args, **kwargs)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 194, in doCall
    ret = method(*args, **kwargs)
  File "/usr/lib/python2.5/xmlrpclib.py", line 1150, in __call__
    return self.__send(self.__name, args)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 38, in _request1
    ret = self._request(methodname, params)
  File "/usr/lib/python2.5/site-packages/rhn/rpclib.py", line 319, in _request
    request = self._req_body(params, methodname)
  File "/usr/lib/python2.5/site-packages/rhn/rpclib.py", line 222, in _req_body
    return xmlrpclib.dumps(params, methodname, encoding=self._encoding)
  File "/usr/lib/python2.5/xmlrpclib.py", line 1083, in dumps
    data = m.dumps(params)
  File "/usr/lib/python2.5/xmlrpclib.py", line 623, in dumps
    dump(v, write)
  File "/usr/lib/python2.5/xmlrpclib.py", line 638, in __dump
    f(self, value, write)
  File "/usr/lib/python2.5/xmlrpclib.py", line 698, in dump_array
    dump(v, write)
  File "/usr/lib/python2.5/xmlrpclib.py", line 638, in __dump
    f(self, value, write)
  File "/usr/lib/python2.5/xmlrpclib.py", line 719, in dump_struct
    dump(v, write)
  File "/usr/lib/python2.5/xmlrpclib.py", line 634, in __dump
    self.dump_instance(value, write)
  File "/usr/lib/python2.5/xmlrpclib.py", line 753, in dump_instance
    self.dump_struct(value.__dict__, write)
<type 'exceptions.AttributeError'>: 'dbus.String' object has no attribute '__dict__'


Expected results:
No errors and hardware information in Spacewalk

Additional info:
Comment 1 Andrew Rechenberg 2009-04-08 16:29:23 EDT
Pradeep,

I see that you put a Blocks on this bug.

Any word on what this issue could be?  I'd like to get my F10 clients registered and I can do the work and submit a patch if you kind of point me in the right direction :)

Thanks,
Andy.
Comment 2 Mike McCune 2009-05-06 15:45:34 EDT
workaround is to use:

rhnreg_ks --nohardware

Downside is you get no hardware info in Spacewalk but you will register without error.
Comment 3 Kevin Arhelger 2009-05-12 21:15:25 EDT
Bug is annoying in that you have to manually change the cobbler snippet that registers the system to use the --nohardware flag.

Also found this same bug when trying to setup rhn tools with Fedora 7.
Comment 4 Andrew Rechenberg 2009-06-10 14:40:48 EDT
(In reply to comment #2)
> workaround is to use:
> 
> rhnreg_ks --nohardware
> 
> Downside is you get no hardware info in Spacewalk but you will register without
> error.  

Can you point me in the right direction in the code to possibly fix this issue and supply a patch?  Or is this error a result of an issue in another support package (like dbus)?
Comment 5 Andrew Rechenberg 2009-06-29 14:24:01 EDT
Still same issue with Spacewalk nightly as of 20090629 on Fedora 10 client:

rhn-check-0.6.1-1.fc10.noarch
rhn-client-tools-0.6.1-1.fc10.noarch
rhnlib-2.5.12-1.fc10.noarch
rhnsd-4.5.10-1.fc10.i386
rhn-setup-0.6.1-1.fc10.noarch
yum-rhn-plugin-0.5.7-1.fc10.noarch
Comment 7 Miroslav Suchý 2009-09-10 08:05:47 EDT
Spacewalk 0.6 released

Note You need to log in before you can comment on or make changes to this bug.